Welcome Inspire Pilots!
Join our free DJI Inspire community today!
Sign up

New Firmware v1.3.0.00 Aug 4 2015

Joined
Jun 26, 2014
Messages
140
Reaction score
65
Age
57
Location
Norman, Oklahoma
After firmware update of AC, RC's and Batts yesterday morning, I flew all six Batts in the late afternoon/evening (5 - 47's and 1 - 48). All the 47's turned in 16 minute flight times to <5%. The 48 turned in a flight time of 20 minutes to <5%. Aircraft flew flawlessly throughout the Batt re-cal. Rock solid. Speed in both GPS and ATTI were consistent at 39-40mph +/- 1 into and with the wind @ <4mph @ an altitude of ~ 60 ft AGL.
 
Joined
Aug 5, 2015
Messages
12
Reaction score
4
Age
46
Have you tried to re-update after the downgrade? I am still on Beta so wont mess with updating to official as it only changes the version number, at least for me. I would try to update again once u have downgraded. The RC firmware should be updated via the new DJI GO app. Let us know how you make out and congratulations on a paying drone gig!!

Its downgrading right now. If it works i won´t touch it until after my job. I might try upgrading again after the week end. Will let you know how it goes.
 
  • Like
Reactions: dreadwing
Joined
Mar 17, 2015
Messages
561
Reaction score
242
Age
32
Location
Seattle, Washington
Website
www.skylab-imaging.com
why do some people have problems upgrading and others don't? The software should be the same across the board as every ac/rc have the exact same hardware, the procedure is the same....so why can't some people get it done, doesn't seem like a very good start to new firmware.
 
Joined
Aug 5, 2015
Messages
12
Reaction score
4
Age
46
BTW my RC is model nr GL 658A. They said at support if you have a model ending with a B it won´t upgrade. But mine should. I actually have 2 RC´s and nne of them update
 
Joined
Aug 5, 2015
Messages
12
Reaction score
4
Age
46
why do some people have problems upgrading and others don't? The software should be the same across the board as every ac/rc have the exact same hardware, the procedure is the same....so why can't some people get it done, doesn't seem like a very good start to new firmware.
No idea. I can assure you i have done everything by the book. Have tried every single option. 5 hours of trying.
There seems to be model A and B RC´s. So some differences in hardware. This firmware **** really sucks.
 
Joined
Feb 4, 2015
Messages
174
Reaction score
183
Location
Texas
I thought with the new Go APP, all new RC firmware updates are supposed to be done via the app, No need to mess with the .bin file. Except for the RC bin fix that was for people part of the Beta pilot.
 
Joined
Mar 17, 2015
Messages
561
Reaction score
242
Age
32
Location
Seattle, Washington
Website
www.skylab-imaging.com
I thought with the new Go APP, all new RC firmware updates are supposed to be done via the app, No need to mess with the .bin file. Except for the RC bin fix that was for people part of the Beta pilot.
Yes but that's only going forward, the rc doesn't have 1.3 when you download the app so you gotta do it with the usb stick

This was rather confusing because they explain it like you do it through the app. I tried and got the "rc needs update" after I read the following step I realized what they were saying or trying to at least. So I did the usbstick as usual and everything worked just fine.
 
  • Like
Reactions: dreadwing
Joined
Aug 5, 2015
Messages
12
Reaction score
4
Age
46
The plot thickens. DJI pilot is removed from App store. And yesterday i removed it from my Ipad Air. I need the old app to run the drone on the old firmware. How do i fix this? Any alternative way of downloading it for Ipad?
 
Joined
Feb 4, 2015
Messages
174
Reaction score
183
Location
Texas
You should always save a copy of your iTunes .IPA file. You need your own 1.2 pilot app that you originally downloaded as it's tired directly to iTunes. You can install another person .IPA, but it won't let you run it without their iTunes credentials.

The plot thickens. DJI pilot is removed from App store. And yesterday i removed it from my Ipad Air. I need the old app to run the drone on the old firmware. How do i fix this? Any alternative way of downloading it for Ipad?
 
Joined
Feb 4, 2015
Messages
174
Reaction score
183
Location
Texas
I did the Beta on the i1 using SD card and USB adapter for the RC. I am not even going to mess with the official releases as it seems like a hell of a lot of effort just to change the proper version number!

Yes but that's only going forward, the rc doesn't have 1.3 when you download the app so you gotta do it with the usb stick
 
Joined
Mar 17, 2015
Messages
561
Reaction score
242
Age
32
Location
Seattle, Washington
Website
www.skylab-imaging.com
I did the Beta on the i1 using SD card and USB adapter for the RC. I am not even going to mess with the official releases as it seems like a hell of a lot of effort just to change the proper version number!
As far as I'm concerned everybody moving to 1.3 should be following the usual pathway when upgrading firmware, as you said sd card in camera and usb stick for the rc. The new process for the rc should be applied when you successfully have 1.3 on all hardware.
 
  • Like
Reactions: dreadwing
Joined
May 1, 2015
Messages
56
Reaction score
6
Age
36
. I turned
I can´t upgrade the RC either. Have tried everything. Also called support. They gonna send a rest file they say, nothing yet.

They made some suggestions like trying different SD card, format the card etc, upgrade through the camera... Nothing works.

As a last try i tried this suggestion

Okay
Here is what I did to clear that upgrade required error.
Download this patch file from here..
https://www.dropbox.com/s/kts3qjxxbbuko7e/C1_FW_V01.02.0021.bin?dl=0
Put it on a USB pendrive and update your RC with it.
This is a DJI patch file for this purpose.
Obviously you do this at your own risk etc..

Don´t work either. Nothing happens when i update with this patch.
So now i am downgrading to old firmware again. At support they say i can do this by just putting the old firmware back on the SD card which i have done. Its downgrading the firmware right now and it seems to work. They told me to use the old App and not the Go App as there might be compability issues.

Anyone know if its actually safe to fly after a downgrade? Worried about the batteries being messed with. I have a film job this week end and it just have to work. My first payed job with drones. At support they said if its says safe to fly it is safe...
And thanks DJI for ruining my day. I have bought new USB stick, micro USB cables to try to get it to work but nothing.
Yea, its safe. As an android user I realized I had to downgrade. Then took it for a spin, all fine.
 
Joined
Aug 5, 2015
Messages
12
Reaction score
4
Age
46
You should always save a copy of your iTunes .IPA file. You need your own 1.2 pilot app that you originally downloaded as it's tired directly to iTunes. You can install another person .IPA, but it won't let you run it without their iTunes credentials.
Just tested and it seems to work with old firmware and the new Go App anyway. Have not flown yet just on he bench but everything seemed fine. And it says safe to fly. According to support it is safe when its says so so i am gonna try it.
 
Joined
Jul 1, 2015
Messages
466
Reaction score
199
Age
71
Location
Dorset, UK
Where did you get 1.3.2? I only see 1.3.2 for phantom?
This was what the app was displaying when downloading the latest FW.
I also noted that was a Phantom FW file, however when the update was applied the "About" section reported the firmware as 1.3.0 installed.
 
Joined
Jul 10, 2015
Messages
19
Reaction score
1
Age
45
Can anyone please tell me the official way to downgrade? Also, will the beta firmware I want to go to work with the new pilot app? Do the R/Cs need to be downgraded?

Also, FYI I was just on chat with tech and asked for the procedure to downgrade and they flat out said no downgrade possible. I then copied and pasted it from their own release notes and I was disconnected from the chat.
 
Joined
May 1, 2015
Messages
56
Reaction score
6
Age
36
Can anyone please tell me the official way to downgrade? Also, will the beta firmware I want to go to work with the new pilot app? Do the R/Cs need to be downgraded?

Also, FYI I was just on chat with tech and asked for the procedure to downgrade and they flat out said no downgrade possible. I then copied and pasted it from their own release notes and I was disconnected from the chat.
I had the old firmware still saved on my pc. Just replace it with the new firmware on the Sd card and it will "update" like usual.
 
Joined
Jul 10, 2015
Messages
19
Reaction score
1
Age
45
Ok this is what you have to do to downgrade and get back to the BETA for the AUTOPILOT testers. You download the Inspire 1 Firmware v1.2.1.06 from DJI and it will downgrade. Then you need to get the BETA and do that and it should work fine.
 
Joined
Aug 5, 2015
Messages
12
Reaction score
4
Age
46
So i just test flew with Go app and old firmware. I now get alerts for RC upgrade needed and batteries. Safe to fly it said. It behaved a little unusual and i kept it max distance 300m just to be safe. It seems to drift more than before. Also it went out of GPS mode one time even though 17 sats where connected. Does not feel safe to fly.

Support says that there might be a hardware problem with my RC. Both my RC´s then i suppose because both refuses to update. Im out of options now. Will call support tomorrow again.
 

New Threads

Forum statistics

Threads
19,640
Messages
192,202
Members
29,013
Latest member
Omani_drone_op